#ifndef _EMUDISPLAY_H_
#define _EMUDISPLAY_H_
#include "DisplayDev.h"

/* The first occurence of a EmuDisplay object will cause it to be set up */
/* The last removal of a EmuDisplay object will tear it down again */

#define EMUDISPLAY_MEMSIZE 4096
#define EMUDISPLAY_ROWS 64
#define EMUDISPLAY_COLS 128
#define EMUDISPLAY_DEVICE "display"

#define EMPEG_DISPLAY_SETCONTRAST  0x01
#define EMPEG_DISPLAY_GETCONTRAST  0x02
#define EMPEG_DISPLAY_SETBACKLIGHT 0x04
#define EMPEG_DISPLAY_GETBACKLIGHT 0x08
#define EMPEG_DISPLAY_POWER        0x10


class EmuDisplay : public DisplayDev
{
public:
    EmuDisplay (const char *dev=EMUDISPLAY_DEVICE, int rows=EMUDISPLAY_ROWS,
                int cols=EMUDISPLAY_COLS, int memsize=EMUDISPLAY_MEMSIZE);
    ~EmuDisplay (void);

public: // display control
    void setContrast (int lvl);
    int  getContrast (void);

    void setBacklight (int lvl);
    int  getBacklight (void);

    void setPower (bool on);
    bool getPower (void);

    void refresh (void);

private: // Fake ioctl's
    void sendWriteCommand (int cmd, int val);
    int  sendReadCommand  (int cmd);

private:
    int fd;
    int ctl;
    bool powerState;
};
#endif // _EMUDISPLAY_H_
