#ifndef _MENU_H_
#define _MENU_H_
#include <vector>
#include "Window.h"

class Menu : public Window
{
public:
    Menu (font_t font, Window *parent, bool showTitle=true,
          const char *name="Menu");
    ~Menu (void);

private:
    class Line
    {
    public:
        typedef void (Menu::*MenuMemberFn)(Line *line);
        Line (const char *text, MenuMemberFn func);
    public:
        const char *text;
        MenuMemberFn func;
    };

public:
    void downOneLine (void);
    void upOneLine (void);
    void drawOneLine (bool reverse, int row, Line &line);
    void draw (void);
public:
    bool _onMenuButton (bool stillPushed=false);
    bool _onKnobLeft (bool stillPushed=false);
    bool _onKnobRight (bool stillPushed=false);
    bool _onKnobButton (bool stillPushed=false);

private:
    void inFocus (void);
    void outFocus (void);

protected:
    vector<Line *> lines;

private:
    int linesAtOnce;
    font_t font;
    int curLine;
    int title_height;
};
#endif // _MENU_H_
