#ifndef _RIODISPLAY_H_
#define _RIODISPLAY_H_
#include "DisplayDev.h"

#define RIODISPLAY_MEMSIZE 4096
#define RIODISPLAY_ROWS 64
#define RIODISPLAY_COLS 128
#define RIODISPLAY_DEVICE "/dev/display"

class RioDisplay : public DisplayDev
{
public:
    RioDisplay (const char *dev=RIODISPLAY_DEVICE, int rows=RIODISPLAY_ROWS,
                int cols=RIODISPLAY_COLS, int memsize=RIODISPLAY_MEMSIZE);
    ~RioDisplay (void);

public: // display control
    void setContrast (int lvl);
    int  getContrast (void);

    void setBacklight (int lvl);
    int  getBacklight (void);

    void setPower (bool on);
    bool getPower (void);

    void refresh (void);

private:
    int fd;
    bool powerState;
};
#endif // _RIODISPLAY_H_
