#ifndef _ROOT_WINDOW_H_
#define _ROOT_WINDOW_H_
#include "Window.h"
#include "AboutWindow.h"
#include "RioAudio.h"
#include "AudioMenu.h"
#include "Slider.h"
class RootWindow : public Window
{
public:
    RootWindow (Window *parent, const char *name = "Root Window");

private:
    bool _onMenuButton (bool pushedAgain=false);
    bool _onKnobButton (bool pushedAgain=false);
    bool _onKnobLeft (bool pushedAgain=false);
    bool _onKnobRight (bool pushedAgain=false);
    void draw (void);
    void drawSpectrum (void);

private:
    AboutWindow *_aboutWindow;
    AudioMenu *_audioMenu;
    Slider *_slider;
    RioAudio *audio;
};
#endif // _ROOT_WINDOW_H_
