#include <iostream>
#include <string.h>
#include <unistd.h>
#include "Thread.h"

Thread::Thread (bool startNow, void *arg)
       : callback (NULL)
{
    int err;
    this->arg = arg;

    if (startNow) {
        err = start();
        if (err < 0)
            throw err;
    }
}

Thread::~Thread()
{
    void *ret;
    if (pthread_cancel (thread) < 0)
        return;

    if (pthread_join (thread, &ret) < 0) {
        cerr << "no such thread while trying to join." << endl;
    }

}

int
Thread::start ()
{
    int err;
    if ((err = pthread_create (&thread, NULL, Thread::trampoline, this)) < 0) {
        cerr << "pthread_create failed: " << strerror (err) << endl;
    }
    return err;
}

void *
Thread::trampoline (void *thread)
{
    Thread *obj = (Thread *)thread;
    obj->func (obj->arg);
}

void
Thread::func (void *arg)
{
    while (1) {
        cerr << "Thread::func default called. This is probably a bug." << endl;
        sleep (2);
    }
}
