#include <stdio.h>
#include "fonts.h"
static uint32_t space[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t dash[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007f, /* XXXXXXX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t equals[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007f, /* XXXXXXX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007f, /* XXXXXXX. */
    0x0000, /* ........ */
    0x0000  /* ........ */
};


static uint32_t upper_a[] = {
    8,
    0x0000, /* ........ */
    0x0018, /* ...XX... */
    0x0024, /* ..X..X.. */
    0x0042, /* .X....X. */
    0x007e, /* .XXXXXX. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0000  /* ........ */
};

static uint32_t upper_b[] = {
    8,
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003e, /* .XXXXX.. */
    0x0000  /* ........ */
};

static uint32_t upper_c[] = {
    8,
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t upper_d[] = {
    8,
    0x0000, /* ........ */
    0x001e, /* .XXXX... */
    0x0022, /* .X...X.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0022, /* .X...X.. */
    0x001e, /* .XXXX... */
    0x0000  /* ........ */
};

static uint32_t upper_e[] = {
    8,
    0x0000, /* ........ */
    0x007e, /* .XXXXXX. */
    0x0002, /* .X...... */
    0x003e, /* .XXXXX.. */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x007e, /* .XXXXXX. */
    0x0000  /* ........ */
};

static uint32_t upper_f[] = {
    8,
    0x0000, /* ........ */
    0x007e, /* .XXXXXX. */
    0x0002, /* .X...... */
    0x003e, /* .XXXXX.. */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0000  /* ........ */
};

static uint32_t upper_g[] = {
    8,
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x0002, /* .X...... */
    0x0072, /* .X..XXX. */
    0x0042, /* .X....X. */
    0x007c, /* ..XXXXX. */
    0x0000  /* ........ */
};

static uint32_t upper_h[] = {
    8,
    0x0000, /* ........ */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x007e, /* .XXXXXX. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0000  /* ........ */
};

static uint32_t upper_i[] = {
    8,
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x003e, /* .XXXXX.. */
    0x0000  /* ........ */
};

static uint32_t upper_j[] = {
    8,
    0x0000, /* ........ */
    0x0060, /* .....XX. */
    0x0040, /* ......X. */
    0x0040, /* ......X. */
    0x0040, /* ......X. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t upper_k[] = {
    8,
    0x0000, /* ........ */
    0x0042, /* .X....X. */
    0x0022, /* .X...X.. */
    0x0012, /* .X..X... */
    0x001e, /* .XXXX... */
    0x0022, /* .X...X.. */
    0x0042, /* .X....X. */
    0x0000, /* ........ */
0x0000  /* ........ */
};

static uint32_t upper_l[] = {
    8,
    0x0000, /* ........ */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x007e, /* .XXXXXX. */
    0x0000  /* ........ */
};

static uint32_t upper_m[] = {
    8,
    0x0000, /* ........ */
    0x0041, /* X.....X. */
    0x0063, /* XX...XX. */
    0x0055, /* X.X.X.X. */
    0x0049, /* X..X..X. */
    0x0041, /* X.....X. */
    0x0041, /* X.....X. */
    0x0000  /* ........ */
};

static uint32_t upper_n[] = {
    8,
    0x0000, /* ........ */
    0x0042, /* .X....X. */
    0x0046, /* .XX...X. */
    0x004a, /* .X.X..X. */
    0x0052, /* .X..X.X. */
    0x0062, /* .X...XX. */
    0x0042, /* .X....X. */
    0x0000  /* ........ */
};

static uint32_t upper_o[] = {
    8,
    0x0000, /* ........ */
    0x001c, /* ..XXX... */
    0x0022, /* .X...X.. */
    0x0041, /* X.....X. */
    0x0041, /* X.....X. */
    0x0022, /* .X...X.. */
    0x001c, /* ..XXX... */
    0x0000  /* ........ */
};

static uint32_t upper_p[] = {
    8,
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003e, /* .XXXXX.. */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0000  /* ........ */
};

static uint32_t upper_q[] = {
    8,
    0x0000, /* ........ */
    0x001c, /* ..XXX... */
    0x0022, /* .X...X.. */
    0x0041, /* X.....X. */
    0x0041, /* X.....X. */
    0x0022, /* .X...X.. */
    0x001c, /* ..XXX... */
    0x0070  /* ....XXX. */
};

static uint32_t upper_r[] = {
    8,
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003e, /* .XXXXX.. */
    0x0022, /* .X...X.. */
    0x0042, /* .X....X. */
    0x0000  /* ........ */
};

static uint32_t upper_s[] = {
    8,
    0x0000, /* ........ */
    0x001e, /* .XXXX... */
    0x0021, /* X....X.. */
    0x0006, /* .XX..... */
    0x0018, /* ...XX... */
    0x0021, /* X....X.. */
    0x001e, /* .XXXX... */
    0x0000  /* ........ */
};

static uint32_t upper_t[] = {
    8,
    0x0000, /* ........ */
    0x007f, /* XXXXXXX. */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t upper_u[] = {
    8,
    0x0000, /* ........ */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t upper_v[] = {
    8,
    0x0000, /* ........ */
    0x0041, /* X.....X. */
    0x0041, /* X.....X. */
    0x0022, /* .X...X.. */
    0x0022, /* .X...X.. */
    0x0014, /* ..X.X... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t upper_w[] = {
    8,
    0x0000, /* ........ */
    0x0041, /* X.....X. */
    0x0041, /* X.....X. */
    0x0049, /* X..X..X. */
    0x0049, /* X..X..X. */
    0x0055, /* X.X.X.X. */
    0x0022, /* .X...X.. */
    0x0000  /* ........ */
};

static uint32_t upper_x[] = {
    8,
    0x0000, /* ........ */
    0x0021, /* X....X.. */
    0x0012, /* .X..X... */
    0x000c, /* ..XX.... */
    0x000c, /* ..XX.... */
    0x0012, /* .X..X... */
    0x0021, /* X....X.. */
    0x0000  /* ........ */
};

static uint32_t upper_y[] = {
    8,
    0x0000, /* ........ */
    0x0041, /* X.....X. */
    0x0022, /* .X...X.. */
    0x0014, /* ..X.X... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t upper_z[] = {
    8,
    0x0000, /* ........ */
    0x007e, /* .XXXXXX. */
    0x0020, /* .....X.. */
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0004, /* ..X..... */
    0x007e, /* .XXXXXX. */
    0x0000  /* ........ */
};

static uint32_t lower_a[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007c, /* ..XXXXX. */
    0x0042, /* .X....X. */
    0x0062, /* .X...XX. */
    0x005c, /* ..XXX.X. */
    0x0000  /* ........ */
};

static uint32_t lower_b[] = {
    8,
    0x0000, /* ........ */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t lower_c[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t lower_d[] = {
    8,
    0x0000, /* ........ */
    0x0020, /* .....X.. */
    0x0020, /* .....X.. */
    0x003c, /* ..XXXX.. */
    0x0022, /* .X...X.. */
    0x0022, /* .X...X.. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};


static uint32_t lower_e[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x001c, /* ..XXX... */
    0x0032, /* .X..XX.. */
    0x000a, /* .X.X.... */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t lower_f[] = {
    8,
    0x0000, /* ........ */
    0x0038, /* ...XXX.. */
    0x0044, /* ..X...X. */
    0x0004, /* ..X..... */
    0x001e, /* .XXXX... */
    0x0004, /* ..X..... */
    0x0004, /* ..X..... */
    0x0000  /* ........ */
};

static uint32_t lower_g[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007c, /* ..XXXXX. */
    0x0042, /* .X....X. */
    0x007c, /* ..XXXXX. */
    0x0040, /* ......X. */
    0x003c  /* ..XXXX.. */
};

static uint32_t lower_h[] = {
    8,
    0x0000, /* ........ */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0000  /* ........ */
};

static uint32_t lower_i[] = {
    8,
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x001c, /* ..XXX... */
    0x0000  /* ........ */
};

static uint32_t lower_j[] = {
    8,
    0x0000, /* ........ */
    0x0020, /* .....X.. */
    0x0000, /* ........ */
    0x0030, /* ....XX.. */
    0x0020, /* .....X.. */
    0x0020, /* .....X.. */
    0x0022, /* .X...X.. */
    0x001c  /* ..XXX... */
};

static uint32_t lower_k[] = {
    8,
    0x0000, /* ........ */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0032, /* .X..XX.. */
    0x000e, /* .XXX.... */
    0x0012, /* .X..X... */
    0x0022, /* .X...X.. */
    0x0000  /* ........ */
};

static uint32_t lower_l[] = {
    8,
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x001c, /* ..XXX... */
    0x0000  /* ........ */
};

static uint32_t lower_m[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0037, /* XXX.XX.. */
    0x0049, /* X..X..X. */
    0x0049, /* X..X..X. */
    0x0049, /* X..X..X. */
    0x0000  /* ........ */
};

static uint32_t lower_n[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003a, /* .X.XXX.. */
    0x0046, /* .XX...X. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0000  /* ........ */
};

static uint32_t lower_o[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t lower_p[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x003e, /* .XXXXX.. */
    0x0002  /* .X...... */
};

static uint32_t lower_q[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007c, /* ..XXXXX. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x007c, /* ..XXXXX. */
    0x0040  /* ......X. */
};

static uint32_t lower_r[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003a, /* .X.XXX.. */
    0x0046, /* .XX...X. */
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0000  /* ........ */
};

static uint32_t lower_s[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0006, /* .XX..... */
    0x0038, /* ...XXX.. */
    0x001e, /* .XXXX... */
    0x0000  /* ........ */
};

static uint32_t lower_t[] = {
    8,
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x003e, /* .XXXXX.. */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0048, /* ...X..X. */
    0x0030  /* ....XX.. */
};

static uint32_t lower_u[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0062, /* .X...XX. */
    0x005c, /* ..XXX.X. */
    0x0000  /* ........ */
};

static uint32_t lower_v[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0041, /* X.....X. */
    0x0022, /* .X...X.. */
    0x0014, /* ..X.X... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t lower_w[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0041, /* X.....X. */
    0x0049, /* X..X..X. */
    0x0049, /* X..X..X. */
    0x0036, /* .XX.XX.. */
    0x0000  /* ........ */
};

static uint32_t lower_x[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0066, /* .XX..XX. */
    0x0018, /* ...XX... */
    0x0018, /* ...XX... */
    0x0066, /* .XX..XX. */
    0x0000  /* ........ */
};

static uint32_t lower_y[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x007c, /* ..XXXXX. */
    0x0040, /* ......X. */
    0x003c  /* ..XXXX.. */
};

static uint32_t lower_z[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007e, /* .XXXXXX. */
    0x0030, /* ....XX.. */
    0x000c, /* ..XX.... */
    0x007e, /* .XXXXXX. */
    0x0000  /* ........ */
};

static uint32_t one[] = {
    8,
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x000c, /* ..XX.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x001c, /* ..XXX... */
    0x0000  /* ........ */
};

static uint32_t two[] = {
    8,
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x0040, /* ......X. */
    0x0030, /* ....XX.. */
    0x000c, /* ..XX.... */
    0x007e, /* .XXXXXX. */
    0x0000  /* ........ */
};

static uint32_t three[] = {
    8,
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x0040, /* ......X. */
    0x0038, /* ...XXX.. */
    0x0040, /* ......X. */
    0x0040, /* ......X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t four[] = {
    8,
    0x0000, /* ........ */
    0x0020, /* .....X.. */
    0x0030, /* ....XX.. */
    0x0028, /* ...X.X.. */
    0x0024, /* ..X..X.. */
    0x007e, /* .XXXXXX. */
    0x0020, /* .....X.. */
    0x0000  /* ........ */
};

static uint32_t five[] = {
    8,
    0x0000, /* ........ */
    0x007e, /* .XXXXXX. */
    0x0002, /* .X...... */
    0x003e, /* .XXXXX.. */
    0x0040, /* ......X. */
    0x0040, /* ......X. */
    0x003e, /* .XXXXX.. */
    0x0000  /* ........ */
};

static uint32_t six[] = {
    8,
    0x0000, /* ........ */
    0x0038, /* ...XXX.. */
    0x0004, /* ..X..... */
    0x0002, /* .X...... */
    0x003e, /* .XXXXX.. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t seven[] = {
    8,
    0x0000, /* ........ */
    0x007e, /* .XXXXXX. */
    0x0040, /* ......X. */
    0x0020, /* .....X.. */
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t eight[] = {
    8,
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0024, /* ..X..X.. */
    0x0042, /* .X....X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t nine[] = {
    8,
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x007c, /* ..XXXXX. */
    0x0040, /* ......X. */
    0x0040, /* ......X. */
    0x003c, /* ..XXXX.. */
    0x0000  /* ........ */
};

static uint32_t zero[] = {
    8,
    0x0000, /* ........ */
    0x0018, /* ...XX... */
    0x0024, /* ..X..X.. */
    0x0042, /* .X....X. */
    0x0042, /* .X....X. */
    0x0024, /* ..X..X.. */
    0x0018, /* ...XX... */
    0x0000  /* ........ */
};


static uint32_t tilde[] = {
    8,
    0x0046, /* .XX...X. */
    0x0049, /* X..X..X. */
    0x0031, /* X...XX.. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t bang[] = {
    8,
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t at[] = {
    8,
    0x003c, /* ..XXXX.. */
    0x0042, /* .X....X. */
    0x0059, /* X..XX.X. */
    0x0055, /* X.X.X.X. */
    0x0029, /* X..X.X.. */
    0x0002, /* .X...... */
    0x001c, /* ..XXX... */
    0x0000  /* ........ */
};

static uint32_t hash[] = {
    8,
    0x0014, /* ..X.X... */
    0x0014, /* ..X.X... */
    0x003e, /* .XXXXX.. */
    0x0014, /* ..X.X... */
    0x003e, /* .XXXXX.. */
    0x0014, /* ..X.X... */
    0x0014, /* ..X.X... */
    0x0000  /* ........ */
};

static uint32_t dollar[] = {
    8,
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x003c, /* ..XXXX.. */
    0x000a, /* .X.X.... */
    0x001c, /* ..XXX... */
    0x0028, /* ...X.X.. */
    0x001e, /* .XXXX... */
    0x0008  /* ...X.... */
};

static uint32_t percent[] = {
    8,
    0x0022, /* .X...X.. */
    0x0015, /* X.X.X... */
    0x0012, /* .X..X... */
    0x0008, /* ...X.... */
    0x0024, /* ..X..X.. */
    0x0054, /* ..X.X.X. */
    0x0022, /* .X...X.. */
    0x0000  /* ........ */
};

static uint32_t caret[] = {
    8,
    0x0008, /* ...X.... */
    0x0014, /* ..X.X... */
    0x0022, /* .X...X.. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t ampersand[] = {
    8,
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x0012, /* .X..X... */
    0x004c, /* ..XX..X. */
    0x002a, /* .X.X.X.. */
    0x0012, /* .X..X... */
    0x006c, /* ..XX.XX. */
    0x0000  /* ........ */
};

static uint32_t splat[] = {
    8,
    0x0000, /* ........ */
    0x0022, /* .X...X.. */
    0x0014, /* ..X.X... */
    0x007f, /* XXXXXXX. */
    0x0014, /* ..X.X... */
    0x0022, /* .X...X.. */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t left_paren[] = {
    8,
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0004, /* ..X..... */
    0x0004, /* ..X..... */
    0x0004, /* ..X..... */
    0x0004, /* ..X..... */
    0x0008, /* ...X.... */
    0x0010  /* ....X... */
};

static uint32_t right_paren[] = {
    8,
    0x0004, /* ..X..... */
    0x0008, /* ...X.... */
    0x0010, /* ....X... */
    0x0010, /* ....X... */
    0x0010, /* ....X... */
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0004  /* ..X..... */
};

static uint32_t underscore[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007f  /* XXXXXXX. */
};

static uint32_t plus[] = {
    8,
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x007f, /* XXXXXXX. */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t backtick[] = {
    8,
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x0008, /* ...X.... */
    0x0010, /* ....X... */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t left_bracket[] = {
    8,
    0x0038, /* ...XXX.. */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0038, /* ...XXX.. */
    0x0000  /* ........ */
};

static uint32_t right_bracket[] = {
    8,
    0x000e, /* .XXX.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x000e, /* .XXX.... */
    0x0000  /* ........ */
};

static uint32_t left_brace[] = {
    8,
    0x0018, /* ...XX... */
    0x0004, /* ..X..... */
    0x0008, /* ...X.... */
    0x0006, /* .XX..... */
    0x0008, /* ...X.... */
    0x0004, /* ..X..... */
    0x0018, /* ...XX... */
    0x0000  /* ........ */
};

static uint32_t right_brace[] = {
    8,
    0x000c, /* ..XX.... */
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0030, /* ....XX.. */
    0x0008, /* ...X.... */
    0x0010, /* ....X... */
    0x000c, /* ..XX.... */
    0x0000  /* ........ */
};

static uint32_t back_slash[] = {
    8,
    0x0002, /* .X...... */
    0x0002, /* .X...... */
    0x0004, /* ..X..... */
    0x0004, /* ..X..... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0010, /* ....X... */
    0x0010  /* ....X... */
};

static uint32_t pipe[] = {
    8,
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t semi_colon[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x000c, /* ..XX.... */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x0004, /* ..X..... */
    0x0002  /* .X...... */
};

static uint32_t apostrophe[] = {
    8,
    0x0000, /* ........ */
    0x0018, /* ...XX... */
    0x0008, /* ...X.... */
    0x0004, /* ..X..... */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t colon[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x000c, /* ..XX.... */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x000c, /* ..XX.... */
    0x0000  /* ........ */
};

static uint32_t quotes[] = {
    8,
    0x0000, /* ........ */
    0x0014, /* ..X.X... */
    0x0014, /* ..X.X... */
    0x0014, /* ..X.X... */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t comma[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x0004, /* ..X..... */
    0x0002  /* .X...... */
};

static uint32_t period[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x000c, /* ..XX.... */
    0x000c, /* ..XX.... */
    0x0000  /* ........ */
};

static uint32_t slash[] = {
    8,
    0x0010, /* ....X... */
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0004, /* ..X..... */
    0x0004, /* ..X..... */
    0x0002, /* .X...... */
    0x0002  /* .X...... */
};

static uint32_t less_than[] = {
    8,
    0x0000, /* ........ */
    0x0060, /* .....XX. */
    0x0018, /* ...XX... */
    0x0006, /* .XX..... */
    0x0018, /* ...XX... */
    0x0060, /* .....XX. */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t gtr_than[] = {
    8,
    0x0000, /* ........ */
    0x0006, /* .XX..... */
    0x0018, /* ...XX... */
    0x0060, /* .....XX. */
    0x0018, /* ...XX... */
    0x0006, /* .XX..... */
    0x0000, /* ........ */
    0x0000  /* ........ */
};

static uint32_t question[] = {
    8,
    0x0000, /* ........ */
    0x001c, /* ..XXX... */
    0x0022, /* .X...X.. */
    0x0010, /* ....X... */
    0x0008, /* ...X.... */
    0x0000, /* ........ */
    0x0008, /* ...X.... */
    0x0000  /* ........ */
};

static uint32_t unknown[] = {
    8,
    0x0066, /* .XX..XX. */
    0x0018, /* ...XX... */
    0x0066, /* .XX..XX. */
    0x0018, /* ...XX... */
    0x0066, /* .XX..XX. */
    0x0018, /* ...XX... */
    0x0066, /* .XX..XX. */
    0x0000  /* ........ */
};

/* 0 - 127, normal "ascii", anything > 127 defaults to 0 (unknown) */
uint32_t *font_fixed_8[] = {
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown,
    unknown,    unknown,       unknown,   unknown, 
    space,      bang,          quotes,    hash,
    dollar,     percent,       ampersand, apostrophe,
    left_paren, right_paren,   splat,     plus,
    comma,      dash,          period,    slash,
    zero,       one,           two,       three,
    four,       five,          six,       seven,
    eight,      nine,          colon,     semi_colon,
    less_than,  equals,        gtr_than,  question,
    at,         upper_a,       upper_b,   upper_c,
    upper_d,    upper_e,       upper_f,   upper_g,
    upper_h,    upper_i,       upper_j,   upper_k,
    upper_l,    upper_m,       upper_n,   upper_o,
    upper_p,    upper_q,       upper_r,   upper_s,
    upper_t,    upper_u,       upper_v,   upper_w,
    upper_x,    upper_y,       upper_z,   left_bracket,
    back_slash, right_bracket, caret,     underscore,
    backtick,   lower_a,       lower_b,   lower_c,
    lower_d,    lower_e,       lower_f,   lower_g,
    lower_h,    lower_i,       lower_j,   lower_k,
    lower_l,    lower_m,       lower_n,   lower_o,
    lower_p,    lower_q,       lower_r,   lower_s,
    lower_t,    lower_u,       lower_v,   lower_w,
    lower_x,    lower_y,       lower_z,   left_brace,
    pipe,       right_brace,   tilde,     unknown,
    (uint32_t *)8
};

void
print_font_char (uint32_t *font_char)
{
    int i;
    for (i = 0; i < 8; i++) {
        printf ("[%d]: 0x%04x\n", i, font_char[i]);
    }
}

void
print_font_a ()
{
    print_font_char (font_fixed_8['A']);
}


