#include "fonts.h"

static uint32_t A[] = {
    8,
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x007f, /* XXXXXXX. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t B[] = {
    7,
    0x001f, /* XXXXX.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x001f, /* XXXXX.. */
    0x0013, /* XX..X.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x001f, /* XXXXX.. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t C[] = {
    8,
    0x003c, /* ..XXXX.. */
    0x0066, /* .XX..XX. */
    0x0043, /* XX....X. */
    0x0003, /* XX...... */
    0x0003, /* XX...... */
    0x0043, /* XX....X. */
    0x0066, /* .XX..XX. */
    0x003c, /* ..XXXX.. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t D[] = {
    7,
    0x000f, /* XXXX... */
    0x001b, /* XX.XX.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x001b, /* XX.XX.. */
    0x000f, /* XXXX... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t E[] = {
    6,
    0x001f, /* XXXXX. */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x001f, /* XXXXX. */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x001f, /* XXXXX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t F[] = {
    6,
    0x001f, /* XXXXX. */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x000f, /* XXXX.. */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t G[] = {
    8,
    0x003c, /* ..XXXX.. */
    0x0066, /* .XX..XX. */
    0x0043, /* XX....X. */
    0x0003, /* XX...... */
    0x0073, /* XX..XXX. */
    0x0063, /* XX...XX. */
    0x0066, /* .XX..XX. */
    0x005c, /* ..XXX.X. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t H[] = {
    7,
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x003f, /* XXXXXX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t I[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t J[] = {
    6,
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t K[] = {
    7,
    0x0033, /* XX..XX. */
    0x001b, /* XX.XX.. */
    0x000f, /* XXXX... */
    0x0007, /* XXX.... */
    0x000f, /* XXXX... */
    0x001b, /* XX.XX.. */
    0x0033, /* XX..XX. */
    0x0063, /* XX...XX */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t L[] = {
    6,
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x001f, /* XXXXX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t M[] = {
    10,
    0x0183, /* XX.....XX. */
    0x01c7, /* XXX...XXX. */
    0x01c7, /* XXX...XXX. */
    0x01ef, /* XXXX.XXXX. */
    0x01ab, /* XX.X.X.XX. */
    0x01bb, /* XX.XXX.XX. */
    0x0193, /* XX..X..XX. */
    0x0193, /* XX..X..XX. */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t N[] = {
    8,
    0x0063, /* XX...XX. */
    0x0067, /* XXX..XX. */
    0x0067, /* XXX..XX. */
    0x006b, /* XX.X.XX. */
    0x006b, /* XX.X.XX. */
    0x0073, /* XX..XXX. */
    0x0073, /* XX..XXX. */
    0x0063, /* XX...XX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t O[] = {
    8,
    0x001c, /* ..XXX... */
    0x0036, /* .XX.XX.. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0036, /* .XX.XX.. */
    0x001c, /* ..XXX... */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t P[] = {
    7,
    0x001f, /* XXXXX.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x001f, /* XXXXX.. */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t Q[] = {
    8,
    0x001c, /* ..XXX... */
    0x0036, /* .XX.XX.. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x006b, /* XX.X.XX. */
    0x0036, /* .XX.XX.. */
    0x003c, /* ..XXXX.. */
    0x0040, /* ......X. */
    0x0000, /* ........ */
};
static uint32_t R[] = {
    7,
    0x001f, /* XXXXX.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x001f, /* XXXXX.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t S[] = {
    7,
    0x001e, /* .XXXX.. */
    0x0033, /* XX..XX. */
    0x0007, /* XXX.... */
    0x001e, /* .XXXX.. */
    0x0038, /* ...XXX. */
    0x0031, /* X...XX. */
    0x0033, /* XX..XX. */
    0x001e, /* .XXXX.. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t T[] = {
    7,
    0x003f, /* XXXXXX. */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t U[] = {
    7,
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x001e, /* .XXXX.. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t V[] = {
    8,
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x0008, /* ...X.... */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t W[] = {
    11,
    0x0333, /* XX..XX..XX. */
    0x0333, /* XX..XX..XX. */
    0x0333, /* XX..XX..XX. */
    0x01b6, /* .XX.XX.XX.. */
    0x01b6, /* .XX.XX.XX.. */
    0x01fe, /* .XXXXXXXX.. */
    0x00cc, /* ..XX..XX... */
    0x0084, /* ..X....X... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t X[] = {
    8,
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0036, /* .XX.XX.. */
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x0036, /* .XX.XX.. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t Y[] = {
    9,
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x0066, /* .XX..XX.. */
    0x0066, /* .XX..XX.. */
    0x003c, /* ..XXXX... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t Z[] = {
    7,
    0x003f, /* XXXXXX. */
    0x0030, /* ....XX. */
    0x0018, /* ...XX.. */
    0x000c, /* ..XX... */
    0x000e, /* .XXX... */
    0x0006, /* .XX.... */
    0x0003, /* XX..... */
    0x003f, /* XXXXXX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t a[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x000e, /* .XXX.. */
    0x0019, /* X..XX. */
    0x001e, /* .XXXX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x0036, /* .XX.XX */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t b[] = {
    6,
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x000f, /* XXXX.. */
    0x001b, /* XX.XX. */
    0x0013, /* XX..X. */
    0x0013, /* XX..X. */
    0x001b, /* XX.XX. */
    0x000f, /* XXXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t c[] = {
    5,
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x000e, /* .XXX. */
    0x000b, /* XX.X. */
    0x0003, /* XX... */
    0x000b, /* XX.X. */
    0x000e, /* .XXX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t d[] = {
    6,
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x001e, /* .XXXX. */
    0x001b, /* XX.XX. */
    0x0019, /* X..XX. */
    0x0019, /* X..XX. */
    0x001b, /* XX.XX. */
    0x001e, /* .XXXX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t e[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x001f, /* XXXXX. */
    0x0003, /* XX.... */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t f[] = {
    5,
    0x000e, /* .XXX. */
    0x0003, /* XX... */
    0x0007, /* XXX.. */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t g[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0016, /* .XX.X. */
    0x001b, /* XX.XX. */
    0x0019, /* X..XX. */
    0x0019, /* X..XX. */
    0x001b, /* XX.XX. */
    0x001e, /* .XXXX. */
    0x0018, /* ...XX. */
    0x000e, /* .XXX.. */
};
static uint32_t h[] = {
    6,
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x000f, /* XXXX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t i[] = {
    3,
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t j[] = {
    3,
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0001, /* X.. */
};
static uint32_t k[] = {
    7,
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x001b, /* XX.XX.. */
    0x000f, /* XXXX... */
    0x0007, /* XXX.... */
    0x000f, /* XXXX... */
    0x001b, /* XX.XX.. */
    0x0033, /* XX..XX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t l[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t m[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x006d, /* X.XX.XX.. */
    0x00db, /* XX.XX.XX. */
    0x00db, /* XX.XX.XX. */
    0x00db, /* XX.XX.XX. */
    0x00db, /* XX.XX.XX. */
    0x00db, /* XX.XX.XX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t n[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x000d, /* X.XX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t o[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t p[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x000d, /* X.XX.. */
    0x001b, /* XX.XX. */
    0x0013, /* XX..X. */
    0x0013, /* XX..X. */
    0x001b, /* XX.XX. */
    0x000f, /* XXXX.. */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
};
static uint32_t q[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0016, /* .XX.X. */
    0x001b, /* XX.XX. */
    0x0019, /* X..XX. */
    0x0019, /* X..XX. */
    0x001b, /* XX.XX. */
    0x001e, /* .XXXX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
};
static uint32_t r[] = {
    5,
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x000d, /* X.XX. */
    0x0007, /* XXX.. */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t s[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0018, /* ...XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t t[] = {
    5,
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0007, /* XXX.. */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0002, /* .X... */
    0x000e, /* .XXX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t u[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x0016, /* .XX.X. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t v[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x000a, /* .X.X.. */
    0x000e, /* .XXX.. */
    0x0004, /* ..X... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t w[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x006b, /* XX.X.XX. */
    0x006b, /* XX.X.XX. */
    0x006b, /* XX.X.XX. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t x[] = {
    7,
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0033, /* XX..XX. */
    0x001e, /* .XXXX.. */
    0x000c, /* ..XX... */
    0x001e, /* .XXXX.. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t y[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001e, /* .XXXX. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x0006, /* .XX... */
};
static uint32_t z[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x001f, /* XXXXX. */
    0x0018, /* ...XX. */
    0x000c, /* ..XX.. */
    0x0006, /* .XX... */
    0x0003, /* XX.... */
    0x001f, /* XXXXX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t zero[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t one[] = {
    5,
    0x000c, /* ..XX. */
    0x000f, /* XXXX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t two[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x000c, /* ..XX.. */
    0x0006, /* .XX... */
    0x0003, /* XX.... */
    0x001f, /* XXXXX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t three[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x0018, /* ...XX. */
    0x000c, /* ..XX.. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t four[] = {
    6,
    0x0018, /* ...XX. */
    0x001c, /* ..XXX. */
    0x001a, /* .X.XX. */
    0x001a, /* .X.XX. */
    0x0019, /* X..XX. */
    0x003f, /* XXXXXX */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t five[] = {
    6,
    0x001f, /* XXXXX. */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x000f, /* XXXX.. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t six[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x0003, /* XX.... */
    0x000f, /* XXXX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t seven[] = {
    6,
    0x001f, /* XXXXX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t eight[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x000a, /* .X.X.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t nine[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001b, /* XX.XX. */
    0x001e, /* .XXXX. */
    0x0018, /* ...XX. */
    0x001b, /* XX.XX. */
    0x000e, /* .XXX.. */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t backtick[] = {
    3,
    0x0001, /* X.. */
    0x0002, /* .X. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t tilde[] = {
    7,
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0036, /* .XX.XX. */
    0x001b, /* XX.XX.. */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t bang[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0001, /* X.. */
    0x0001, /* X.. */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t at[] = {
    11,
    0x0000, /* ........... */
    0x01f8, /* ...XXXXXX.. */
    0x0106, /* .XX.....X.. */
    0x02b2, /* .X..XX.X.X. */
    0x0249, /* X..X..X..X. */
    0x0245, /* X.X...X..X. */
    0x0125, /* X.X..X..X.. */
    0x00d9, /* X..XX.XX... */
    0x0002, /* .X......... */
    0x007c, /* ..XXXXX.... */
};
static uint32_t hash[] = {
    7,
    0x0000, /* ....... */
    0x000a, /* .X.X... */
    0x000a, /* .X.X... */
    0x003f, /* XXXXXX. */
    0x000a, /* .X.X... */
    0x001f, /* XXXXX.. */
    0x0005, /* X.X.... */
    0x0005, /* X.X.... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t dollar[] = {
    6,
    0x0004, /* ..X... */
    0x000e, /* .XXX.. */
    0x0015, /* X.X.X. */
    0x0007, /* XXX... */
    0x000e, /* .XXX.. */
    0x001c, /* ..XXX. */
    0x0015, /* X.X.X. */
    0x000e, /* .XXX.. */
    0x0004, /* ..X... */
    0x0000, /* ...... */
};
static uint32_t percent[] = {
    8,
    0x0046, /* .XX...X. */
    0x002d, /* X.XX.X.. */
    0x0016, /* .XX.X... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0034, /* ..X.XX.. */
    0x006a, /* .X.X.XX. */
    0x0011, /* X...X... */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t caret[] = {
    6,
    0x0004, /* ..X... */
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x0011, /* X...X. */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t ampersand[] = {
    8,
    0x000e, /* .XXX.... */
    0x001b, /* XX.XX... */
    0x001b, /* XX.XX... */
    0x000e, /* .XXX.... */
    0x007b, /* XX.XXXX. */
    0x0033, /* XX..XX.. */
    0x003b, /* XX.XXX.. */
    0x006e, /* .XXX.XX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t splat[] = {
    4,
    0x0005, /* X.X. */
    0x0002, /* .X.. */
    0x0005, /* X.X. */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
};
static uint32_t left_paren[] = {
    4,
    0x0004, /* ..X. */
    0x0006, /* .XX. */
    0x0002, /* .X.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0002, /* .X.. */
    0x0006, /* .XX. */
    0x0004, /* ..X. */
};
static uint32_t right_paren[] = {
    4,
    0x0001, /* X... */
    0x0003, /* XX.. */
    0x0002, /* .X.. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0002, /* .X.. */
    0x0003, /* XX.. */
    0x0001, /* X... */
};
static uint32_t dash[] = {
    5,
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x000f, /* XXXX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t equals[] = {
    5,
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x000f, /* XXXX. */
    0x0000, /* ..... */
    0x000f, /* XXXX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t underscore[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x003f, /* XXXXXX */
};
static uint32_t plus[] = {
    7,
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x003f, /* XXXXXX. */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t left_bracket[] = {
    4,
    0x0007, /* XXX. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0003, /* XX.. */
    0x0007, /* XXX. */
};
static uint32_t right_bracket[] = {
    4,
    0x0007, /* XXX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0006, /* .XX. */
    0x0007, /* XXX. */
};
static uint32_t left_brace[] = {
    5,
    0x000c, /* ..XX. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0003, /* XX... */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x000c, /* ..XX. */
};
static uint32_t right_brace[] = {
    5,
    0x0003, /* XX... */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x000c, /* ..XX. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0003, /* XX... */
};
static uint32_t backslash[] = {
    5,
    0x0001, /* X.... */
    0x0001, /* X.... */
    0x0002, /* .X... */
    0x0002, /* .X... */
    0x0004, /* ..X.. */
    0x0004, /* ..X.. */
    0x0008, /* ...X. */
    0x0008, /* ...X. */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t pipe[] = {
    2,
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
};
static uint32_t semicolon[] = {
    3,
    0x0000, /* ... */
    0x0000, /* ... */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0001, /* X.. */
};
static uint32_t quote[] = {
    2,
    0x0001, /* X. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
};
static uint32_t colon[] = {
    2,
    0x0000, /* .. */
    0x0000, /* .. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0000, /* .. */
    0x0000, /* .. */
};
static uint32_t double_quote[] = {
    4,
    0x0005, /* X.X. */
    0x0005, /* X.X. */
    0x0005, /* X.X. */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
};
static uint32_t comma[] = {
    3,
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0001, /* X.. */
};
static uint32_t dot[] = {
    2,
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0000, /* .. */
    0x0001, /* X. */
    0x0001, /* X. */
    0x0000, /* .. */
    0x0000, /* .. */
};
static uint32_t slash[] = {
    5,
    0x0008, /* ...X. */
    0x0008, /* ...X. */
    0x0004, /* ..X.. */
    0x0004, /* ..X.. */
    0x0002, /* .X... */
    0x0002, /* .X... */
    0x0001, /* X.... */
    0x0001, /* X.... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t left_angle[] = {
    5,
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x000c, /* ..XX. */
    0x0006, /* .XX.. */
    0x0003, /* XX... */
    0x0006, /* .XX.. */
    0x000c, /* ..XX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t right_angle[] = {
    5,
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0003, /* XX... */
    0x0006, /* .XX.. */
    0x000c, /* ..XX. */
    0x0006, /* .XX.. */
    0x0003, /* XX... */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x0000, /* ..... */
};
static uint32_t question[] = {
    6,
    0x000e, /* .XXX.. */
    0x001b, /* XX.XX. */
    0x0018, /* ...XX. */
    0x000c, /* ..XX.. */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0000, /* ...... */
    0x0006, /* .XX... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};

static uint32_t unknown[] = {
    5,
    0x000e, /* .XXX. */
    0x001b, /* XX.XX */
    0x000e, /* .XXX. */
    0x001b, /* XX.XX */
    0x000e, /* .XXX. */
    0x001b, /* XX.XX */
    0x000e, /* .XXX. */
    0x001b, /* XX.XX */
    0x0000, /* ..... */
    0x0000, /* ..... */
};

static uint32_t space[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};


/* 0 - 127, normal "ascii", anything > 127 defaults to 0 (unknown) */
uint32_t *font_helvetica_10[] = {
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    space,      bang,          double_quote, hash,
    dollar,     percent,       ampersand,    quote,
    left_paren, right_paren,   splat,        plus,
    comma,      dash,          dot,          slash,
    zero,       one,           two,          three,
    four,       five,          six,          seven,
    eight,      nine,          colon,        semicolon,
    left_angle, equals,        right_angle,  question,
    at,         A,             B,            C,
    D,          E,             F,            G,
    H,          I,             J,            K,
    L,          M,             N,            O,
    P,          Q,             R,            S,
    T,          U,             V,            W,
    X,          Y,             Z,            left_bracket,
    backslash,  right_bracket, caret,        underscore,
    backtick,   a,             b,            c,
    d,          e,             f,            g,
    h,          i,             j,            k,
    l,          m,             n,            o,
    p,          q,             r,            s,
    t,          u,             v,            w,
    x,          y,             z,            left_brace,
    pipe,       right_brace,   tilde,        unknown,
    (uint32_t *)10
};

